<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
	Author Dimitri Dean DARSEYNE (D3), 
   	Published by Short-Circuit under Creative Commons (CC) Licensing: 
 	Authorship/Paternity, NO Commercial Use, NO Derivative
 	Please check for more informations:
 	http://creativecommons.org/licenses/by-nc-nd/2.0/
 
 	Auteur Dimitri Dean DARSEYNE (D3),
 	Publi par Short-Circuit sous license Creative Commons (CC):
 	Paternit, PAS d'Utilisation Commerciale, pas de Drivs/Modifications
 	Pour plus d'informations, se rendre sur:
 	http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 
 	Since Short-Circuit 1999
-->
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="x"%>

<f:view>

<f:loadBundle basename="message" var="message"/>

<html>
<head>           
    <title>Product: Edit</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">     
    <link href="includes/css/Common.css" rel="stylesheet" type="text/css" /> 
  </head>   
  <body>    
    <div class="application" id="Products">
        <div class="main">
        <jsp:include page="includes/messagesAll.jsp" />
        <x:htmlTag value="br"/>
         <h:form id="linkForm">  
            <h:commandLink id="lienWelcome" action="productList" rendered="#{productEditBean.stateDisplayValueOnly}" ><h:outputText value="Retour  la liste des Produits" /></h:commandLink>
            <h:commandButton id="lienAnnuler2" action="productList" value="Annuler et revenir  la liste" rendered="#{!productEditBean.stateDisplayValueOnly}" />
        </h:form>
        <x:htmlTag value="br"/>
        <h:outputText value="Edition du Produit: #{productEditBean.currentProduct.designation}" style="font-weight: bold" styleClass="GenericTable" />
        <x:htmlTag value="br"/>
        <x:htmlTag value="br"/>
        <h:form id="productForm">              
            <h:outputText value='Id' style="font-weight: bold" styleClass="GenericTable" />             
            <x:inputText value="#{productEditBean.currentProduct.id}" required="true" id="id" displayValueOnly="true" styleClass="alignedOutput" />
            <h:message for="id" errorStyle="color:red; position:absolute; left:600px;" infoStyle="color:red; position:absolute; color:green" warnStyle="color:red; position:absolute; color:blue" />
            <x:htmlTag value="br"/>
            
            <h:outputText value='Designation' style="font-weight: bold" styleClass="GenericTable" />    
            <x:inputText value="#{productEditBean.currentProduct.designation}" required="true" id="designation" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" />
            <h:message for="designation" errorStyle="color:red; position:absolute; left:600px;" infoStyle="color:red; position:absolute; color:green" warnStyle="color:red; position:absolute; color:blue" />
            <x:htmlTag value="br"/>

            <h:outputText value='Genre' style="font-weight: bold" styleClass="GenericTable" />          
            <x:inputText value="#{productEditBean.currentProduct.genre}" id="genre" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <h:message for="genre" errorStyle="color:red; position:absolute; left:600px;" infoStyle="color:red; position:absolute; color:green" warnStyle="color:red; position:absolute; color:blue" />
            <x:htmlTag value="br"/>

            <h:outputText value='Type' style="font-weight: bold" styleClass="GenericTable" />           
            <x:inputText value="#{productEditBean.currentProduct.type}" required="true" id="type" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <h:message for="type" errorStyle="color:red; position:absolute; left:600px;" infoStyle="color:red; position:absolute; color:green" warnStyle="color:red; position:absolute; color:blue" />
            <x:htmlTag value="br"/>

            <h:outputText value='Price' style="font-weight: bold" styleClass="GenericTable" />          
            <x:inputText value="#{productEditBean.currentProduct.price}" required="true" id="prix" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <h:message for="prix" errorStyle="color:red; position:absolute; left:600px;" infoStyle="color:red; position:absolute; color:green" warnStyle="color:red; position:absolute; color:blue" />
            <x:htmlTag value="br"/>

            <h:outputText value='Realisateur' style="font-weight: bold" styleClass="GenericTable" />    
            <x:inputText value="#{productEditBean.currentProduct.realisateur}" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <x:htmlTag value="br"/>

            <h:outputText value='Musique' style="font-weight: bold" styleClass="GenericTable" />        
            <x:inputText value="#{productEditBean.currentProduct.musique}" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <x:htmlTag value="br"/>

            <h:outputText value='Scenario' style="font-weight: bold" styleClass="GenericTable" />       
            <x:inputText value="#{productEditBean.currentProduct.scenario}" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <x:htmlTag value="br"/>

            <h:outputText value='Provenance' style="font-weight: bold" styleClass="GenericTable" />     
            <x:inputText value="#{productEditBean.currentProduct.provenance}" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <x:htmlTag value="br"/>

            <h:outputText value='Annee' style="font-weight: bold" styleClass="GenericTable" />          
            <x:inputText value="#{productEditBean.currentProduct.annee}" displayValueOnly="#{productEditBean.stateDisplayValueOnly}" styleClass="alignedOutput" /> 
            <x:htmlTag value="br"/>
            <x:htmlTag value="br"/>
            
            <h:commandButton id="butEditProduct" action="#{productEditBean.editProduct}" value="Editer" rendered="#{productEditBean.stateDisplayValueOnly}" />
            <h:commandButton id="butSaveProduct" action="#{productEditBean.saveProduct}" value="Enregistrer" rendered="#{!productEditBean.stateDisplayValueOnly}" />
            <h:commandButton id="lienAnnuler" action="productList" value="Annuler" rendered="#{!productEditBean.stateDisplayValueOnly}" />        
        </h:form>               
      </div>
    </div>
  </body>
</html>
</f:view>
    
        